Module tdlight.api
Package it.tdlight.jni

# Class TdApi.NetworkType

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.NetworkType

Direct Known Subclasses:
  `TdApi.NetworkTypeMobile`, `TdApi.NetworkTypeMobileRoaming`, `TdApi.NetworkTypeNone`, `TdApi.NetworkTypeOther`, `TdApi.NetworkTypeWiFi`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.NetworkType extends TdApi.Object permits TdApi.NetworkTypeNone, TdApi.NetworkTypeMobile, TdApi.NetworkTypeMobileRoaming, TdApi.NetworkTypeWiFi, TdApi.NetworkTypeOther
This class is an abstract base class. Represents the type of a network.

## Constructor Summary

Constructors
Constructor
Description
`NetworkType()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NetworkType

public NetworkType()
Default class constructor.